Package org.h2gis.functions.spatial.distance

## Class MaxDistanceOp

- java.lang.Object
- - org.h2gis.functions.spatial.distance.MaxDistanceOp

    public class MaxDistanceOp
    extends Object

An operation to compute the maximum distance between two geometries. If the geometry 1 and geometry 2 is the same geometry the operation will return the distance between the two vertices most far from each other in that geometry.

Author:
  Erwan Bocher

### Nested Class Summary

Nested Classes
`class` `MaxDistanceOp.MaxDistanceFilter`

### Constructor Summary

Constructors
`MaxDistanceOp​(org.locationtech.jts.geom.Geometry geomA, org.locationtech.jts.geom.Geometry geomB)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.locationtech.jts.geom.Coordinate[]` `getCoordinatesDistance()` Return the two coordinates to build the max distance line
`Double` `getDistance()` Return the max distance

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MaxDistanceOp

    public MaxDistanceOp​(org.locationtech.jts.geom.Geometry geomA,
                         org.locationtech.jts.geom.Geometry geomB)

### Method Detail

#### getDistance

    public Double getDistance()

Return the max distance

Returns:
  distance

#### getCoordinatesDistance

    public org.locationtech.jts.geom.Coordinate[] getCoordinatesDistance()

Return the two coordinates to build the max distance line

Returns:
  Coordinate array